import * as create from 'create';

declare const blockGitHubPRTemplate: create.BlockWithoutAddons<{
    description: string;
    access: "public" | "restricted";
    directory: string;
    email: {
        github: string;
        npm: string;
    };
    title: string;
    owner: string;
    repository: string;
    author?: string | undefined;
    bin?: string | undefined;
    contributors?: {
        name: string;
        avatar_url: string;
        contributions: string[];
        login: string;
        profile: string;
    }[] | undefined;
    documentation?: string | undefined;
    funding?: string | undefined;
    guide?: {
        href: string;
        title: string;
    } | undefined;
    hideTemplatedBy?: boolean | undefined;
    keywords?: string[] | undefined;
    logo?: {
        alt: string;
        src: string;
        height?: number | undefined;
        width?: number | undefined;
    } | undefined;
    node?: {
        minimum: string;
        pinned?: string | undefined;
    } | undefined;
    packageData?: {
        dependencies?: Record<string, string> | undefined;
        devDependencies?: Record<string, string> | undefined;
        scripts?: Record<string, string> | undefined;
    } | undefined;
    usage?: string | undefined;
    version?: string | undefined;
}>;

export { blockGitHubPRTemplate };
