import { z } from "zod";
import { formatIgnoreFile } from "../../steps/writing/creation/formatters/formatIgnoreFile.js";
import { base } from "../base.js";
const blockGitignore = base.createBlock({
  about: {
    name: "Gitignore"
  },
  addons: {
    ignores: z.array(z.string()).default([])
  },
  produce({ addons }) {
    const { ignores } = addons;
    return {
      files: {
        ".gitignore": formatIgnoreFile(["/node_modules", ...ignores].sort())
      }
    };
  }
});
export {
  blockGitignore
};
//# sourceMappingURL=blockGitignore.js.map