import { existingBadgeMatcherCreators } from "./findExistingBadges.js";
function findIntroSectionClose(contents) {
  const projectLogoMatch = /<img align="right" alt="Project logo.+" src=".+">/.exec(contents);
  if (projectLogoMatch) {
    return contents.indexOf("\n", projectLogoMatch.index) + 2;
  }
  const indexOfH2OrCodeBlock = contents.search(/## |<\s*h2|```/);
  if (indexOfH2OrCodeBlock !== -1) {
    return indexOfH2OrCodeBlock - 2;
  }
  for (const createMatcher of existingBadgeMatcherCreators) {
    const lastMatch = [...contents.matchAll(createMatcher())].at(-1);
    if (lastMatch?.index) {
      return lastMatch.index + lastMatch[0].length + 2;
    }
  }
  return contents.indexOf("\n", 1) + 1;
}
export {
  findIntroSectionClose
};
//# sourceMappingURL=findIntroSectionClose.js.map