interface WorkflowFileConcurrency {
    "cancel-in-progress"?: boolean;
    group: string;
}
interface WorkflowFileOn {
    issue_comment?: {
        types?: string[];
    };
    issues?: {
        types?: string[];
    };
    pull_request?: null | string | {
        branches?: string | string[];
        types?: string[];
    };
    pull_request_target?: {
        types: string[];
    };
    push?: {
        branches: string[];
    };
    release?: {
        types: string[];
    };
    workflow_dispatch?: null | string;
}
type WorkflowFileOptions = WorkflowFileOptionsRuns | WorkflowFileOptionsSteps;
interface WorkflowFileOptionsBase {
    concurrency?: WorkflowFileConcurrency;
    if?: string;
    name: string;
    on?: WorkflowFileOn;
    permissions?: WorkflowFilePermissions;
}
interface WorkflowFileOptionsRuns extends WorkflowFileOptionsBase {
    runs: (string | WorkflowFileStep)[];
}
interface WorkflowFileOptionsSteps extends WorkflowFileOptionsBase {
    steps: WorkflowFileStep[];
}
interface WorkflowFilePermissions {
    contents?: string;
    "id-token"?: string;
    issues?: string;
    "pull-requests"?: string;
}
interface WorkflowFileStep {
    env?: Record<string, string>;
    if?: string;
    name?: string;
    run?: string;
    uses?: string;
    with?: Record<string, unknown>;
}
declare function createSoloWorkflowFile({ concurrency, name, on, permissions, ...options }: WorkflowFileOptions): string;

export { createSoloWorkflowFile };
